[Pdns-users] pipe backend logging

MRob mrobti at insiberia.net
Sat Dec 1 00:06:50 UTC 2018


You should reaply to the list too.

On 2018-11-30 22:58, Randall Diffenderfer wrote:
> we have packaged installs of vm's for a given class of function.  the
> simple function i'm using presents me a CentOS 7 box with enough stuff
> layered on to do "generic" webservices.  i'm getting gripes about
> "priority" , too, so that may be blocking what i can do
> 
> # yum update pdns
> . . .
> 72 packages excluded due to repository priority protections

Thats a lot, the pdns repo alone won't block so many packages tho you 
may have other repos to cause this.

> . . .
> Resolving Dependencies
> Error: Package: pdns-4.1.5-1pdns.el7.x86_64 (powerdns-auth-41)
>            Requires: libsodium.so.23()(64bit)

I have installed libsodium 1.0.16 but it provides with libsodium.so.23

> # ll /usr/lib64/*sodi*
> lrwxrwxrwx. 1 root root     19 Nov 14 18:32 /usr/lib64/libsodium.so.13
> -> libsodium.so.13.3.0
> -rwxr-xr-x. 1 root root 357992 Oct 26  2015 
> /usr/lib64/libsodium.so.13.3.0
> 
> # yum info libsodium
> Loaded plugins: fastestmirror, priorities
> Loading mirror speeds from cached hostfile
> 72 packages excluded due to repository priority protections
> Installed Packages
> Name        : libsodium
> Arch        : x86_64
> Version     : 1.0.5

Thats out of deate. Probably to ask somewhere why you are not pulling 
newest epel packaging.





> Release     : 1.el7
> Size        : 350 k
> Repo        : installed
> From repo   : epel
> Summary     : The Sodium crypto library
> URL         : http://libsodium.org/
> 
> 
> 
> ´╗┐On 11/30/18, 12:33, "MRob" <mrobti at insiberia.net> wrote:
> 
>     On 2018-11-30 20:24, Randall Diffenderfer wrote:
>     > i had followed the instructions there for centos 7, but get a
>     > libsodium conflict (need .23, have .13, again -- what comes 
> with...)
> 
>     where do you get libsodium from? Mine worked with this from epel -- 
> from
>     ``yum info libsodium''
>     Name        : libsodium
>     Arch        : x86_64
>     Version     : 1.0.16
>     Release     : 1.el7
>     Size        : 335 k
>     Repo        : installed
>      From repo   : epel
> 
> 
> 
>     > haven't chased the update for libsodium to ground yet.
>     >
>     >
>     >
>     > On 11/30/18, 12:20, "MRob" <mrobti at insiberia.net> wrote:
>     >
>     >     On 2018-11-30 19:37, Randall Diffenderfer via Pdns-users 
> wrote:
>     >     > using centos rpm for powerdns, version 3.4.11 (this would 
> seem to
>     > be
>     >     > old, but it's what they supply).
>     >
>     >     you can update just use pdns repo to save headaches
>     >
>     >
> https://urldefense.proofpoint.com/v2/url?u=https-3A__repo.powerdns.com_&d=DwICAg&c=Vxt5e0Osvvt2gflwSlsJ5DmPGcPvTRKLJyp031rXjhg&r=9sXs16LkSD1MzhoJxgyl7R_tait1dEXqvyD3NCT1wEA&m=-TOZm0ZhkN7b5Mx8xuGCqKPWBMMcfOihb2NXBQBd9o8&s=RPQWglklp2lmtniPdKEPOavnpBmahqXhM9exVqUywVU&e=


More information about the Pdns-users mailing list